<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/adm_check.php';
include_once '../../sys/inc/user.php';

$set['title']='Лидеры';
include_once '../../sys/inc/thead.php';
title();
if (!isset($user))
header("location: /index.php?");

err();
aut();

if (isset($user))
{
if (isset($_POST['stav']) && isset($_POST['msg']))
{
if ($_POST['stav']==1)
{
$st=1;
$tm=$time+86400;
}
else if ($_POST['stav']==2)
{
$st=2;
$tm=$time+172800;
}
else if ($_POST['stav']==3)
{
$st=3;
$tm=$time+259200;
}
else if ($_POST['stav']==4)
{
$st=4;
$tm=$time+345600;
}
else if ($_POST['stav']==5)
{
$st=5;
$tm=$time+432000;
}
else if ($_POST['stav']==6)
{
$st=6;
$tm=$time+518400;
}
else if ($_POST['stav']==7)
{
$st=7;
$tm=$time+604800;
}
$msg=my_esc($_POST['msg']);
if ($user['money']>=$st)
{
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `liders` WHERE `id_user` = '$user[id]'"), 0)==0)
{
mysql_query("INSERT INTO `liders` (`id_user`, `stav`, `msg`, `time`) values('$user[id]', '$st', '".$msg."', '$tm')");
}
else
{
mysql_query("UPDATE `liders` SET `time` = '$tm', `msg` = '$msg', `stav` = '$st' WHERE `id_user` = '$user[id]'");
}
mysql_query("UPDATE `user` SET `money` = '".($user['money']-$st)."' WHERE `id` = '$user[id]' LIMIT 1");
header("Location: /user/liders/index.php?ok");
}else{
$err='У вас не достаточно средств';
}
}else{
$err='Поле сообщения не может быть пустым';
}
err();

echo"<div class='main_seriy'>\n";
echo"<div class='main'>\n";
echo "Для того, чтобы попасть в Лидеры naSIMbe нужен минимум 1 $sm, который в течение 1 дня обеспечит 
Ваше пребывание в данном ТОП'е. Ваше положение в ТОП'е зависит от кол-ва $sm (общем времени пребывания)! 
Помимо этого, Ваша анкета будет ротироваться на страницах Знакомств и Поиска!";
echo"</div>\n";
echo"</div>\n";

echo "<form method=\"post\" action=\"?\">\n";
	echo 'Ставка: <select name="stav">
	<option value="1">1</option>
	<option value="2">2</option>
	<option value="3">3</option>
	<option value="4">4</option>
	<option value="5">5</option>
	<option value="6">6</option>
	<option value="7">7</option>
	</select> ' . $sm . '<br />';
echo "Подпись (215 символов)<textarea name=\"msg\"></textarea><br />\n";

echo "<input value=\"Стать лидером\" type=\"submit\" />\n";
echo "</form>\n";
}



echo "<div class='foot'>\n";
echo "&laquo;<a href='/info.php'>Моя страница</a><br />\n";
echo "</div>\n";

include_once '../../sys/inc/tfoot.php';
?>